'****************************************************************
'*  Name    : 18F4680_CONFIG.INC                                *
'*  Author  : Bobby Garrett                                     *
'*  Date    : 24/06/2008                                        *
'*  Version : 1.0                                               *
'*  Notes   : Config settings for 18F4680 used in CAN code      *
'*          :                                                   *
'****************************************************************

        Device = 18F4680  

CONFIG_START
   OSC = HS ; HS oscillator
   FCMEN = On ; Fail-Safe Clock Monitor enabled
   IESO = OFF ; Oscillator Switchover mode disabled
   PWRT = On ; PWRT enabled
   BOREN = BOHW ; Brown-out Reset enabled in hardware only (SBOREN is disabled)
   BORV = 0 ; Maximum Setting
   WDT = OFF ; HW Disabled - SW Controlled
   MCLRE = On ; MCLR pin enabled; RE3 input pin disabled
   LPT1OSC = OFF ; Timer1 configured for higher power operation
   PBADEN = OFF ; PORTB<4> and PORTB<1:0> Configured as Digital I/O Pins on Reset
   Debug = OFF ; Background debugger disabled, RB6 and RB7 configured as general purpose I/O pins
   XINST = OFF ; Instruction set extension and Indexed Addressing mode disabled (Legacy mode)
   LVP = OFF ; Single-Supply ICSP disabled
   STVREN = On ; Stack full/underflow will cause Reset
   CP0 = OFF ; Block 0 (000800-003FFFh) not code-protected
   CP1 = OFF ; Block 1 (004000-007FFFh) not code-protected
   CP2 = OFF ; Block 2 (008000-00BFFFh) not code-protected
   CP3 = OFF ; Block 3 (00C000-00FFFFh) not code-protected
   CPB = OFF ; Boot block (000000-0007FFh) not code-protected
   CPD = OFF ; Data EEPROM not code-protected
   WRT0 = OFF ; Block 0 (000800-003FFFh) not write-protected
   WRT1 = OFF ; Block 1 (004000-007FFFh) not write-protected
   WRT2 = OFF ; Block 2 (008000-00BFFFh) not write-protected
   WRT3 = OFF ; Block 3 (00C000-00FFFFh) not write-protected
   WRTB = OFF ; Boot block (000000-0007FFh) not write-protected
   WRTC = OFF ; Configuration registers (300000-3000FFh) not write-protected
   WRTD = OFF ; Data EEPROM not write-protected
CONFIG_END
